### Hierarchy

- MessagePopup

## Index

### Properties

- autoDestroy_
- element_
- sce_
- scope
- timeout_

### Methods

- addClass
- destroy
- getOpen
- open
- setAutoDestroy
- setContent
- setHeight
- setOpen
- setSize
- setTitle
- setUrl
- setWidth

## Properties

### autoDestroy_

autoDestroy_: boolean

- Defined in src/message/Popup.js:104

### element_

element_: JQuery<HTMLElement>

- Defined in src/message/Popup.js:99

The element.

### sce_

sce_: ISCEService

- Defined in src/message/Popup.js:87

### scope

scope: IScope

- Defined in src/message/Popup.js:69

The scope the compiled element is link to.

### timeout_

timeout_: ITimeoutService

- Defined in src/message/Popup.js:92

## Methods

### addClass

- addClass(cls: string): void

- - Defined in src/message/Popup.js:218

  Add an extra CSS class name to the popup.

  #### Parameters

  - ##### cls: string

    Class name to add to the popup element.

  #### Returns void

### destroy

- destroy(): void

- - Defined in src/message/Popup.js:134

  Destroy the popup.

  #### Returns void

### getOpen

- getOpen(): boolean

- - Defined in src/message/Popup.js:116

  Get the current popup state.

  #### Returns boolean

  `true` if the popup is currently, otherwise `false`.

### open

- open(options: PopupOptions): void

- - Defined in src/message/Popup.js:227

  Open a popup with the given properties.

  #### Parameters

  - ##### options: PopupOptions

    Options.

  #### Returns void

### setAutoDestroy

- setAutoDestroy(autoDestroy: boolean): void

- - Defined in src/message/Popup.js:209

  Set the popup's autoDestroy property.

  #### Parameters

  - ##### autoDestroy: boolean

    Whether to automatically destroy the popup when being closed or not.

  #### Returns void

### setContent

- setContent(content: string, opt_trusted: boolean): void

- - Defined in src/message/Popup.js:159

  Set the popup's content. Note: the type of the `content` param is `*` instead of `string`, this is because the content may be trusted using `$sce.trustAsHtml`.

  #### Parameters

  - ##### content: string

    The content.

  - ##### opt_trusted: boolean

  #### Returns void

### setHeight

- setHeight(height: string): void

- - Defined in src/message/Popup.js:188

  Set the popup's height.

  #### Parameters

  - ##### height: string

    Height the popup should have.

  #### Returns void

### setOpen

- setOpen(open: boolean): void

- - Defined in src/message/Popup.js:126

  Show/hide the popup.

  #### Parameters

  - ##### open: boolean

    `true` to show the popup, `false` to hide it.

  #### Returns void

### setSize

- setSize(width: string, height: string): void

- - Defined in src/message/Popup.js:198

  Set the popup's width and height.

  #### Parameters

  - ##### width: string

    Width the popup should have.

  - ##### height: string

    Height the popup should have.

  #### Returns void

### setTitle

- setTitle(title: string): void

- - Defined in src/message/Popup.js:144

  Set the popup's title.

  #### Parameters

  - ##### title: string

    The title.

  #### Returns void

### setUrl

- setUrl(url: string): void

- - Defined in src/message/Popup.js:169

  Set the popup's content with an iframe using the given url.

  #### Parameters

  - ##### url: string

    The url of the page.

  #### Returns void

### setWidth

- setWidth(width: string): void

- - Defined in src/message/Popup.js:179

  Set the popup's width.

  #### Parameters

  - ##### width: string

    Width the popup should have.

  #### Returns void

Generated using TypeDoc